#ifndef _ERRLOG_H_
#define _ERRLOG_H_



#define ERR_PANIC 0             /* Catastrophic failure */
#define ERR_INTERNAL 1          /* Internal inconsistency */
#define ERR_FAILURE 2           /* General failure */
#define ERR_PROTERR 3           /* Protocol error received */
#define ERR_STATUS 4            /* Status reports */
#define ERR_ALL 5               /* Print everything */

void 
ErrLogInit(void (*errlog)(const char *str), int level);

#ifdef __GNUC__

void _ErrLog(const char *filename, int line, int level, const char *s, ...);

#define ErrLog(level, format, args...) \
     _ErrLog(__FILE__, __LINE__, level, format , ## args)

#else 

void ErrLog(int level, const char *s, ...);

#endif

#endif /* _ERRLOG_H_ */
