#include "debug.h"
#include "errlog.h"
#include "smblib.h"
#include <stdlib.h>
#include <stdio.h>

void
print_file(smb_finfo *f)
{
  printf("%s\n", f->name);
}

int main(int argc, char **argv)
{
  char *host = "lx01";
  char *serv = "d";
  int port   = 8001;
  char *passwd = NULL;
  smb_conn *conn;
  smb_finfo finfo;
  char buf[500];

  memset(&finfo, 0, sizeof(finfo));

  if (argc == 5) {
    host = argv[1];
    serv = argv[2];
    port = atoi(argv[3]);
    passwd = argv[4];
  } else {
    if (argc != 1) {
      printf("Either you use the standard values with no args, or:\n"
             "  %s host service port passwd", argv[0]);
      exit(1);
    }
  }

  ErrLogInit("./log.debug");
  ErrLogLevel = 100;

  conn = smb_connect(host, port, serv, passwd);
  if (!conn) {
    printf("Failed to connect\n");
    exit(1);
  }

  if (smb_getatr(conn, "\\diana", &finfo)) {
    printf("getatr error\n");
    return 1;
  }

/*
  if (smb_create(conn, "blub", &finfo)) {
    printf("create error\n");
    return 1;
  }

  if (smb_open(conn, "blub", &finfo)) {
    printf("open error\n");
    return 1;
  }

  if (smb_truncate(conn, finfo.fid, 5)) {
    printf("truncate error\n");
    return 1;
  }

*/
  if (smb_disconnect(conn)) {
    printf("Failed to disconnect\n");
    exit(1);
  }
  return 0;
}
    
